import { defHttp } from '@/utils/http/axios';
enum Api {
  // 分页
  LoadAllPage = '/api/MiParking/LoadAllPage',
  // 实体
  Get = '/api/MiParking/Get',
  // 添加
  Add = '/api/MiParking/Add',
  // 修改
  Update = '/api/MiParking/Update',
  // 删除
  Delete = '/api/MiParking/Delete',
  // 分配用户
  AllocateUser = '/api/MiParking/AllocateUser',
}
export function LoadAllPage(params) {
  return defHttp.get({
    url: Api.LoadAllPage,
    params,
  });
}
export function Get(params) {
  return defHttp.get({
    url: Api.Get,
    params,
  });
}
export function Add(params) {
  return defHttp.post({
    url: Api.Add,
    params,
  });
}
export function Update(params) {
  return defHttp.post({
    url: Api.Update,
    params,
  });
}
export function Delete(params) {
  return defHttp.post({
    url: Api.Delete,
    params,
  });
}
export function AllocateUser(params) {
  return defHttp.post({
    url: Api.AllocateUser,
    params,
  });
}